TestDisplay.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2012 Raritan Inc. All rights reserved.
*/
#ifndef __TEST_DISPLAY_IDL__
#define __TEST_DISPLAY_IDL__
/**
* Test Interfaces
*/
module test {
/** Type-independent display test interface */
interface Display_1_0_1 {
/** Display orientation */
enumeration Orientation {
NORMAL, ///< Normal orientation
FLIPPED, ///< Upside-down
LEFT, ///< Left side down
RIGHT ///< Right side down
};
/** Collected display meta information */
structure Info {
string type; ///< Display type
string address; ///< Display address
map<string, string> options; ///< Display options
Orientation orientation; ///< Display orientation
};
/**
* Retrieve display's meta information.
*
* @return Display information
*/
Info getInfo();
/**
* Execute a test sequence that is a bit more elaborate than
* just on and off all.
*
* @param cycleTime_ms Delay between state changes in ms
*/
void testSequence(in int cycleTime_ms);
/** Status of interactive test */
enumeration TestStatus {
TEST_IDLE, ///< Test has not been started
TEST_BUSY, ///< Test is in progress
TEST_PASSED, ///< The test finished successfully
TEST_FAILED ///< The test failed
};
/**
* Start an interactive test on units which support it.
*/
void enterTestMode();
/**
* Get the current status of the interactive test.
*
* @return Test status
*/
TestStatus getTestStatus();
};
}
#endif
test::Display_1_0_1::Info::orientation
Orientation orientation
Display orientation.
Definition: TestDisplay.idl:30
test::Display_1_0_1::TEST_BUSY
Test is in progress.
Definition: TestDisplay.idl:51
test
Test Interfaces.
Definition: TestDisplay.idl:12
test::Display_1_0_1::TEST_PASSED
The test finished successfully.
Definition: TestDisplay.idl:52
test::Display_1_0_1
Type-independent display test interface.
Definition: TestDisplay.idl:15
test::Display_1_0_1::Info
Collected display meta information.
Definition: TestDisplay.idl:26
test::Display_1_0_1::Info::options
map< string, string > options
Display options.
Definition: TestDisplay.idl:29
test::Display_1_0_1::Orientation
Orientation
Display orientation.
Definition: TestDisplay.idl:18
test::Display_1_0_1::LEFT
Left side down.
Definition: TestDisplay.idl:21
test::Display_1_0_1::Info::type
string type
Display type.
Definition: TestDisplay.idl:27
test::Display_1_0_1::TEST_IDLE
Test has not been started.
Definition: TestDisplay.idl:50
test::Display_1_0_1::FLIPPED
Upside-down.
Definition: TestDisplay.idl:20
test::Display_1_0_1::Info::address
string address
Display address.
Definition: TestDisplay.idl:28
test::Display_1_0_1::NORMAL
Normal orientation.
Definition: TestDisplay.idl:19
test::Display_1_0_1::TestStatus
TestStatus
Status of interactive test.
Definition: TestDisplay.idl:49